Engineering Papers⌕ Search

SEARCH · Engineering Papers

Results for “linear equations”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

At least 541 records · Page 30

Relaxations of the steady optimal gas flow problem for a non-Ideal gas

Natural gas ranks second in U.S. primary energy consumption. Because most production sites are remote, gas must be transported through pipeline networks equipped with compressors, valves, and other components. For both economic efficiency and system reliability, it is desirable to operate these networks optimally. The governing physics across pipeline components entails nonlinear, non-convex equality and inequality constraints, and the most general steady-flow operations problem is a Mixed-Integer Nonlinear Program (MINLP).This work focuses on one such steady-flow problem-the Optimal Gas Flow (OGF) for a natural gas pipeline network-which minimizes production cost subject to the steady-flow physics. For day-to-day operations, the ability to quickly compute a globally optimal solution and a strong lower bound for varying demand profiles is crucial. A promising strategy is to build tight relaxations of the OGF’s nonlinear constraints. However, many nonlinearities arising from non-ideal equations of state either lack relaxations or have relaxations that do not scale to realistic network sizes. We address this gap by combining recent advances in polyhedral relaxations for univariate functions to construct tight, computationally efficient relaxations of the OGF with a non-ideal equation of state. These relaxations solve within seconds on a standard laptop. In conclusion, we demonstrate their quality through extensive numerical experiments on very large-scale test networks from the literature and find that the proposed approach proves optimality in 92% of tested instances.

03 NATURAL GAS↗

Synthetically non-Hermitian nonlinear wave-like behavior in a topological mechanical metamaterial

Topological mechanical metamaterials have enabled new ways to control stress and deformation propagation. Exemplified by Maxwell lattices, they have been studied extensively using a linearized formalism. Herein, we study a two-dimensional topological Maxwell lattice by exploring its large deformation quasi-static response using geometric numerical simulations and experiments. We observe spatial nonlinear wave-like phenomena such as harmonic generation, localized domain switching, amplification-enhanced frequency conversion, and solitary waves. We further map our linearized, homogenized system to a non-Hermitian, nonreciprocal, one-dimensional wave equation, revealing an equivalence between the deformation fields of two-dimensional topological Maxwell lattices and nonlinear dynamical phenomena in one-dimensional active systems. Our study opens a regime for topological mechanical metamaterials and expands their application potential in areas including adaptive and smart materials and mechanical logic, wherein concepts from nonlinear dynamics may be used to create intricate, tailored spatial deformation and stress fields greatly transcending conventional elasticity.

36 MATERIALS SCIENCE↗

Review—Development of Highly Active and Durable Hybrid Compressive Platinum Lattice Catalysts for Polymer Electrolyte Membrane Fuel Cells: Mathematical Modeling and Experimental Work

This review provides a comprehensive overview on the development of highly active and durable platinum catalysts with ultra-low Pt loadings for polymer electrolyte membrane fuel cells (PEMFCs) through a combined mathematical modeling and experimental work. First, simulation techniques were applied to evaluate the validity of the Tafel approximation for the calculation of the mass activity (MA) and specific activity (SA). A one-dimensional agglomeration model was developed and solved to understand the effects of exchange current density, porosity, agglomerate size, Nafion ® film thickness, and Pt loading on the MA and SA. High porosity (> 60%) and agglomerations at high Pt loadings cause the loss of the Tafel approximation and consequently the decrease in MA and SA. A new structure parameter was introduced to estimate the real porous structure using the fractal theory. The volumetric catalyst density was corrected by the fractal dimension (measured by Hg porosimetry), which gave a good agreement with the experimental values. The loading-dependent Tafel equation was then derived, which contains both the utilization and the non-linear scaling factor. Second, activated carbon composite support (ACCS) with optimized surface area, porosity, pore size, and pore size distribution was developed. The hydrophilic/hydrophobic ratio, structural properties (amorphous/crystalline ratio), and the number of active sites were optimized through metal-catalyzed pyrolysis. Stability of ACCS and Pt/ACCS were evaluated using an accelerated stress test (AST). The results indicated that Pt/ACCS showed no significant loss of MA and power density after 5,000 cycles at 1.0–1.5 V, while the commercial Pt/C catalysts showed drastic losses of MA and power density. Finally, monolayers of compressed Pt (core–shell-type Pt 3 Co 1 ) catalysts were structured by diffusing Co atoms (previously embedded in ACCS) into Pt. Compressive Pt lattice (Pt * ) catalysts were synthesized through an annealing procedure developed at the University of South Carolina (USC). The Pt * /ACCS catalyst showed high initial power density (rated) of 0.174 g Pt kW −1 and high stability (24 mV loss) at 0.8 A cm −2 after 30,000 cycles (0.6–1.0 V). The outstanding performance of Pt * /ACCS is due to the synergistic effect of ACCS and compressive Pt * lattice.

25 ENERGY STORAGE↗

Lift Equivalence and Cancellation for Airfoil Surge–Pitch–Plunge Oscillations

A NACA 0018 airfoil in freestream velocity is oscillated in longitudinal, transverse, and angle-of-attack directions with respect to the freestream velocity, known as surge, plunge, and pitch. The lift-based equivalence method introduces phase shifts between these three motions to construct in-phase sinusoidal components for maximum lift, waveform construction. Lift cancellation is also determined with the exact negative pitch and plunge motion amplitudes found from the equivalence method to achieve out-of-phase wave destruction. Lift cancellation occurs when a combination of these motions is sought to obtain a constant lift magnitude throughout the oscillation cycle. To achieve both equivalence and cancellation of lift, a prescribed pure pitch amplitude through the Theodorsen theory equates the corresponding equivalent plunge amplitude and pitch–plunge phase shift. These Theodorsen, linear superposition findings of pitch–plunge are leveraged toward the Greenberg theory to determine a closed-form, surge–pitch–plunge solution through the addition of a surge–plunge phase shift and optimal surge amplitude for lift cancellation. The lift cancellation surge–pitch–plunge amplitudes define the equivalence amplitude investigated here and theoretically limit the experiment to combinations of the first lift harmonic of the Greenberg theory. The analytical results are then compared with experimental lift force measurements and dye visualization. Finally, the normalized lift differences due to unsteady wake and boundary-layer behavior are examined to explore the extents of the Greenberg theory for these cases of lift-based equivalence and cancellation.

42 ENGINEERING↗

Polarization observables in double neutral pion photoproduction

Abstract Measurements of target asymmetries and double-polarization observables for the reaction "Equation missing"<#comment/>are reported. The data were taken with the CBELSA/TAPS experiment at the ELSA facility (Bonn University) using the Bonn frozen-spin butanol ($$\hbox {C}_4\hbox {H}_9$$ C 4 H 9 OH) target, which provided transversely polarized protons. Linearly polarized photons were produced via bremsstrahlung off a diamond crystal. The data cover the photon energy range from "Equation missing"<#comment/>to "Equation missing"<#comment/>and nearly the complete angular range. The results have been included in the BnGa partial wave analysis. Experimental results and the fit agree very well. Observed systematic differences in the branching ratios for decays of "Equation missing"<#comment/>and$${\varDelta ^*}$$ Δ ∗ resonances are attributed to the internal structure of these excited nucleon states. Resonances which can be assigned to SU(6)$$\times $$ × O(3) two-oscillator configurations show larger branching ratios to intermediate states with non-zero intrinsic orbital angular momenta than resonances assigned to one-oscillator configurations.

Physics↗

Sparse Cholesky factorization for solving nonlinear PDEs via Gaussian processes

In recent years, there has been widespread adoption of machine learning-based approaches to automate the solving of partial differential equations (PDEs). Among these approaches, Gaussian processes (GPs) and kernel methods have garnered considerable interest due to their flexibility, robust theoretical guarantees, and close ties to traditional methods. They can transform the solving of general nonlinear PDEs into solving quadratic optimization problems with nonlinear, PDE-induced constraints. However, the complexity bottleneck lies in computing with dense kernel matrices obtained from pointwise evaluations of the covariance kernel, and its partial derivatives, a result of the PDE constraint and for which fast algorithms are scarce. The primary goal of this paper is to provide a near-linear complexity algorithm for working with such kernel matrices. We present a sparse Cholesky factorization algorithm for these matrices based on the near-sparsity of the Cholesky factor under a novel ordering of pointwise and derivative measurements. The near-sparsity is rigorously justified by directly connecting the factor to GP regression and exponential decay of basis functions in numerical homogenization. We then employ the Vecchia approximation of GPs, which is optimal in the Kullback-Leibler divergence, to compute the approximate factor. This enables us to compute ϵ-approximate inverse Cholesky factors of the kernel matrices with complexity O(N log d (N/ϵ)) in space and O(N log 2d (N/ϵ)) in time. We integrate sparse Cholesky factorizations into optimization algorithms to obtain fast solvers of the nonlinear PDE. We numerically illustrate our algorithm’s near-linear space/time complexity for a broad class of nonlinear PDEs such as the nonlinear elliptic, Burgers, and Monge-Ampère equations. In summary, we provide a fast, scalable, and accurate method for solving general PDEs with GPs and kernel methods.

97 MATHEMATICS AND COMPUTING↗

Parallelized POD-based suboptimal economic model predictive control of a state-constrained Boussinesq approximation

Motivated by an energy efficient building application, we want to optimize a quadratic cost functional subject to the Boussinesq approximation of the Navier-Stokes equations and to bilateral state and control constraints. Since the computation of such an optimal solution is numerically costly, we design an efficient strategy to compute a sub-optimal (but applicationally acceptable) solution with significantly reduced computational effort. We employ an economic Model Predictive Control (MPC) strategy to obtain a feedback control. The MPC sub-problems are based on a linear-quadratic optimal control problem subjected to mixed control and state constraints and a convection-diffusion equation, reduced with proper orthogonal decomposition. Finally, to solve each sub-problem, we apply a primal-dual active set strategy. The method can be fully parallelized, which enables the solution of large problems with real-world parameters.

97 MATHEMATICS AND COMPUTING↗

Linear-depth quantum circuits for loading Fourier approximations of arbitrary functions

Abstract The ability to efficiently load functions on quantum computers with high fidelity is essential for many quantum algorithms, including those for solving partial differential equations and Monte Carlo estimation. In this work, we introduce the Fourier series loader (FSL) method for preparing quantum states that exactly encode multi-dimensional Fourier series using linear-depth quantum circuits. Specifically, the FSL method prepares a (Dn)-qubit state encoding the 2 Dn -point uniform discretization of aD-dimensional function specified by aD-dimensional Fourier series. A free parameter,m, which must be less thann, determines the number of Fourier coefficients, 2 D ( m + 1 ) , used to represent the function. The FSL method uses a quantum circuit of depth at most 2 ( n − 2 ) + ⌈ log 2 ( n − m ) ⌉ + 2 D ( m + 1 ) + 2 − 2 D ( m + 1 ) , which is linear in the number of Fourier coefficients, and linear in the number of qubits (Dn) despite the fact that the loaded function’s discretization is over exponentially many (2 Dn ) points. The FSL circuit consists of at most D n + 2 D ( m + 1 ) + 1 − 1 single-qubit and D n ( n + 1 ) / 2 + 2 D ( m + 1 ) + 1 − 3 D ( m + 1 ) − 2 two-qubit gates; we present a classical compilation algorithm with runtime O ( 2 3 D ( m + 1 ) ) to determine the FSL circuit for a given Fourier series. The FSL method allows for the highly accurate loading of complex-valued functions that are well-approximated by a Fourier series with finitely many terms. We report results from noiseless quantum circuit simulations, illustrating the capability of the FSL method to load various continuous 1D functions, and a discontinuous 1D function, on 20 qubits with infidelities of less than 10 −6 and 10 −3 , respectively. We also demonstrate the practicality of the FSL method for near-term quantum computers by presenting experiments performed on the Quantinuum H1-1 and H1-2 trapped-ion quantum computers: we loaded a complex-valued function on 3 qubits with a fidelity of over 95 % , as well as various 1D real-valued functions on up to 6 qubits with classical fidelities ≈99%, and a 2D function on 10 qubits with a classical fidelity ≈94%.

Physics↗

Nemchinov-Dyson Solutions of the Two-Dimensional Axisymmetric Inviscid Compressible Flow Equations [Review]

We investigate the two-dimensional (2D) inviscid compressible flow equations in axisymmetric coordinates, constrained by an ideal gas equation of state (EOS). Beginning with the assumption that the 2D velocity field is space-time separable and linearly variable in each corresponding spatial coordinate, we proceed to derive an in nite family of elliptic or hyperbolic, uniformly expanding or contracting \gas cloud" solutions. Construction of specific example solutions belonging to this family is dependent on the solution of a system of nonlinear, coupled, second-order ordinary differential equations, and the prescription of an additional physical process of interest (e.g., uniform temperature or uniform entropy flow). The physical and computational implications of these solutions as pertaining to quantitative code verification or model qualification studies are discussed in some detail.

75 CONDENSED MATTER PHYSICS, SUPERCONDUCTIVITY AND↗

Demonstration and performance testing of extreme-resolution simulations with static meshes on Summit (CPU & GPU) for a parked-turbine configuration and an actuator-line (mid-fidelity model) wind farm configuration (ECP-Q4 FY2020 Milestone Report)

The goal of the ExaWind project is to enable predictive simulations of wind farms comprised of many megawatt-scale turbines situated in complex terrain. Predictive simulations will require computational fluid dynamics (CFD) simulations for which the mesh resolves the geometry of the turbines and captures the rotation and large deflections of blades. Whereas such simulations for a single turbine are arguably petascale class, multi-turbine wind farm simulations will require exascale-class resources. The primary physics codes in the ExaWind simulation environment are Nalu-Wind, an unstructured-grid solver for the acoustically incompressible Navier-Stokes equations, AMR-Wind, a block-structured-grid solver with adaptive mesh refinement capabilities, and OpenFAST, a wind-turbine structural dynamics solver. The Nalu-Wind model consists of the mass-continuity Poisson-type equation for pressure and Helmholtz-type equations for transport of momentum and other scalars. For such modeling approaches, simulation times are dominated by linear-system setup and solution for the continuity and momentum systems. For the ExaWind challenge problem, the moving meshes greatly affect overall solver costs as reinitialization of matrices and recomputation of preconditioners is required at every time step. The choice of overset-mesh methodology to model the moving and non-moving parts of the computational domain introduces constraint equations in the elliptic pressure-Poisson solver. The presence of constraints greatly affects the performance of algebraic multigrid preconditioners.

17 WIND ENERGY↗

Six-dimensional matching of intense beam with linear accelerating structure

Beam matching is a common technique that is routinely employed in accelerator design with the aim of minimizing beam losses and preservation of beam brightness. Despite being widely used, a full theoretical understanding of beam matching in 6D remains elusive. In this work, we present an analytical treatment of 6D beam matching of a high-intensity beam onto an RF structure. We begin our analysis within the framework of a linear model, and apply the averaging method to a set of 3D beam envelope equations. Accordingly, we obtain a matched solution that is comprised of smoothed envelopes and periodic terms, describing envelope oscillations with the period of the focusing structure. We then consider the nonlinear regime, where the beam size is comparable with the separatrix size. Stating with a Hamiltonian analysis in 6D phase space, we attain a self-consistent beam profile and show that it is significantly different from the commonly used ellipsoidal shape. Subsequently, we analyze the special case of an equilibrium with equal space charge depression between all degrees of freedom. Comparison of beam dynamics for equipartitioned, equal space charge depression, and equal emittances beams is given. Finally, we present experimental results on beam matching in the LANSCE linac.

46 INSTRUMENTATION RELATED TO NUCLEAR SCIENCE AND ↗

Kinetic simulation of a 50 mTorr capacitively coupled argon discharge over a range of frequencies and comparison to experiments

The effect of driving frequency in the range of 13.56–73 MHz on electron energy distribution and electron heating modes in a 50 mTorr capacitively coupled argon plasma discharge is studied using 1D-3V particle-in-cell simulations. Calculated electron energy probability functions exhibit three distinct “temperatures” for low-, mid-, and high-energy electrons at all the studied driving frequencies. When compared to published experimental data, the calculated probability functions show a reasonable agreement for the energy range resolved in the measurements (about 2–10 eV). Discrepancies due to limitations in experimental energy resolution outside this range lead to differences between computational and experimental values of the electron number density determined from the distribution functions, and the predicted effective electron temperature is within 25% of experimental values. The impedance of the discharge is interpreted in terms of a homogeneous equivalent circuit model, and the driving frequency dependence of the inferred combined sheath thickness is found to obey a known, theoretically derived, power law. The average power transferred from the field to the electrons (electron heating) is computed, and a region of negative heating near the sheath edge, particularly at higher driving frequencies, is identified. Analysis of the electron momentum equation shows that electron inertia, which on temporal averaging would be zero in a linear regime, is responsible for negative values of power deposition near the sheath edge at high driving frequencies due to the highly nonlinear behavior of the discharge.

70 PLASMA PHYSICS AND FUSION TECHNOLOGY↗

Effect of outer-cylinder rotation on the radially heated Taylor–Couette flow

A Taylor–Couette setup with radial heating is considered where a Boussinesq fluid is sheared in the annular region between two concentric, independently rotating cylinders maintained at different temperatures. Linear stability analysis is performed to determine the Taylor number for the onset of instability. Two radius ratios corresponding to wide and thin gaps with several rotation rate ratios are considered. The rotation of the outer cylinder is found to have a general stabilizing effect on the stability threshold as compared to pure inner-cylinder rotation, with a few exceptions. The radial heating sets up an axial flow which breaks the reflection symmetry of isothermal Taylor–Couette flow in the axial coordinate. This symmetry breaking separates linear stability thresholds, and we find the fastest growing modes with both positive and negative azimuthal numbers for different parameters. Another important finding of the current study is the discovery of unstable modes in the Rayleigh-stable regime. Furthermore, closed disconnected neutral curves (CDNCs) are observed for both wide and thin gaps which can separate from or merge into open neutral–stability curves. Alternatively, CDNCs can also morph into open neutral stability curves as the rotation rate ratio is changed. CDNCs are observed to be sensitive to changes in control parameters, and their appearance/disappearance is shown to induce discontinuous jumps in the critical Taylor number. Finally, for both wide and thin gaps, the fastest-growing modes found in the pure corotation case are shown to have their origins in the instability islands at smaller values of rotation rate ratios.

97 MATHEMATICS AND COMPUTING↗

Stochastic mean-field theory and applications to multinucleon transfer and kinetic energy dissipation processes in heavy-ion collisions

In this Review article, a brief description of the stochastic mean-field (SMF) theory for describing reaction dynamics in low-energy heavy-ion collisions at bombarding energies in the vicinity of the Coulomb barrier is presented. In these collisions, as a result of strong Pauli blocking, binary nucleon collisions do not have a significant effect on the dissipation and fluctuations. At low energies, the mean-field fluctuations, due to initial correlations, have a dominant effect on fluctuations of macroscopic variables. The SMF theory proposes the determination of an ensemble of single-particle density matrices by specifying random initial fluctuations according to a distribution law. Employing an ensemble of single-particle density matrices, not only the mean values but also the distribution functions of the one-body observables can be determined. If the di-nuclear structure is maintained in heavy-ion collisions, such as deep inelastic collisions and fast quasi-fission reactions, a much simpler description of the reaction mechanism can be derived in terms of several macroscopic variables such as mass and charge asymmetry, and relative linear and relative angular momentum. In this case, by geometric projection of the SMF equations, it is possible to derive the quantal Langevin equations for macroscopic variables. As an application of quantal transport description, an analysis of multinucleon transfers and kinetic energy dissipation and fluctuations is presented for selected quasi-fission reactions.

73 NUCLEAR PHYSICS AND RADIATION PHYSICS↗

Kinetic Modeling and Experimental Studies of Capacitively Coupled Macro- and Microplasmas at Microwave Frequencies

The effect of driving frequency in the range of 13.56 MHz to 73 MHz on electron energy distribution and electron heating modes in a 50 mTorr capacitively coupled argon plasma discharge is studied using 1D-3V particle-in-cell simulations. Calculated electron energy probability functions exhibit three distinct temperatures for low-, mid-, and high-energy electrons at all the studied driving frequencies. When compared to published experimental data, the calculated probability functions show a reasonable agreement for the energy range resolved in the measurements (about 2 eV to 10 eV). Discrepancies due to limitations in experimental energy resolution outside this range lead to differences between computational and experimental values of the electron number density determined from the distribution functions, and the predicted effective electron temperature is within 25 % of experimental values. The impedance of the discharge is interpreted in terms of a homogeneous equivalent circuit model and the driving frequency dependence of the inferred combined sheath thickness is found to obey a known, theoretically-derived, power law. The average power transferred from the field to the electrons (electron heating) is computed, and a region of negative heating near the sheath edge, particularly at higher driving frequencies, is identified. Analysis of the electron momentum equation shows that electron inertia, which on temporal averaging would be zero in a linear regime, is responsible for negative values of power deposition near the sheath edge at high driving frequencies due to the highly nonlinear behavior of the discharge.

70 PLASMA PHYSICS AND FUSION TECHNOLOGY↗

On the Convergence of Physics Informed Neural Networks for Linear Second-Order Elliptic and Parabolic Type PDEs

Physics informed neural networks (PINNs) are deep learning based techniques for solving partial differential equations (PDEs) encountered in computational science and engineering. Guided by data and physical laws, PINNs find a neural network that approximates the solution to a system of PDEs. Such a neural network is obtained by minimizing a loss function in which any prior knowledge of PDEs and data are encoded. Despite its remarkable empirical success in one, two or three dimensional problems, there is little theoretical justification for PINNs. As the number of data grows, PINNs generate a sequence of minimizers which correspond to a sequence of neural networks. We want to answer the question: Does the sequence of minimizers converge to the solution to the PDE? We consider two classes of PDEs: linear second-order elliptic and parabolic. By adapting the Schauder approach and the maximum principle, we show that the sequence of minimizers strongly converges to the PDE solution in C 0 . Furthermore, we show that if each minimizer satisfies the initial/boundary conditions, the convergence mode becomes H 1 . Computational examples are provided to illustrate our theoretical findings. To the best of our knowledge, this is the first theoretical work that shows the consistency of PINNs.

97 MATHEMATICS AND COMPUTING↗

McCormick envelopes in mixed-integer PDE-constrained optimization

McCormick envelopes are a standard tool for deriving convex relaxations of optimization problems that involve polynomial terms. Such McCormick relaxations provide lower bounds, for example, in branch-and-bound procedures for mixed-integer nonlinear programs but have not gained much attention in PDE-constrained optimization so far. This lack of attention may be due to the distributed nature of such problems, which on the one hand leads to infinitely many linear constraints (generally state constraints that may be difficult to handle) in addition to the state equation for a pointwise formulation of the McCormick envelopes and renders bound-tightening procedures that successively improve the resulting convex relaxations computationally intractable. We analyze McCormick envelopes for a model problem class that is governed by a semilinear PDE involving a bilinearity and integrality constraints. We approximate the nonlinearity and in turn the McCormick envelopes by averaging the involved terms over the cells of a partition of the computational domain on which the PDE is defined. This yields convex relaxations that underestimate the original problem up to an a priori error estimate that depends on the mesh size of the discretization. These approximate McCormick relaxations can be improved by means of an optimization-based bound-tightening procedure. We show that their minimizers converge to minimizers to a limit problem with a pointwise formulation of the McCormick envelopes when driving the mesh size to zero. We provide a computational example, for which we certify all of our imposed assumptions. The results point to both the potential of the methodology and the gaps in the research that need to be closed. Our methodology provides a framework first for obtaining pointwise underestimators for nonconvexities and second for approximating them with finitely many linear inequalities in an infinite-dimensional setting.

Approximations and Expansions↗